--addScene
--addcustom
CppScriptMgr:SetViewPosByCell(64,54)
local Player_1=CppScriptMgr:AddSimplePlayer(1055830,64,54,"HouYi",0,0)
Player_1:SetZoomPercent(150)
local Player_2=CppScriptMgr:QueryHero()
Player_2:SetZoomPercent(150)
Player_2:SetDir(6)
Player_2:SetPos(61,56)
CppScriptMgr:WaitMilSec(500)
Player_1:Say("I can meet Chang`e after taking the pill?",3000)
CppScriptMgr:NpcCallOut("I can meet Chang`e after taking the pill?",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQHy",150,430,"HouYi",250,655)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1000)
local Effect_1=CppScriptMgr:AddEffect("cyclonexian",64,54,33)
CppScriptMgr:WaitMilSec(1500)
local Effect_2=CppScriptMgr:AddEffect("newzf2-e280",64,54,33)
CppScriptMgr:WaitMilSec(2000)
Player_1:SetAction(101)
Player_1:Say("I feel I am as light as a feather! This is the magic of the Immortality Pill?",2000)
CppScriptMgr:NpcCallOut("I feel I am as light as a feather! This is the magic of the Immortality Pill?",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQHy",150,430,"HouYi",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:ClearEffect(Effect_1)
CppScriptMgr:ClearEffect(Effect_2)
Player_2:SetAction(101)
CppScriptMgr:NpcCallOut("The Immortality Pill is so magical!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQHy",150,430,"HouYi",250,655)
Player_2:Say("The Immortality Pill is so magical!",2000)
CppScriptMgr:WaitMilSec(2000)
local Effect_3=CppScriptMgr:AddEffect("zsl_zhanshitai",60,50,33)
CppScriptMgr:WaitMilSec(2000)
Player_1:SetAction(103)
CppScriptMgr:NpcCallOut("I am coming, Chang`e!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQHy",150,430,"HouYi",250,655)
Player_1:Say("I am coming, Chang`e!",2000)
local Effect_5=CppScriptMgr:AddEffect("CSGX_jin",64,54,33)
CppScriptMgr:WaitMilSec(2000)
Player_2:SetAction(101)
CppScriptMgr:NpcCallOut("Wish you happiness!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc182",150,430)
Player_1:SetHide(1)
CppScriptMgr:WaitMilSec(3000)
